# Program to generate reverse complement for a DNA sequence, using a sequence read from an input file
dnaFileIn = input("Enter DNA sequence file => ")
fh = open(dnaFileIn,'r')    # Opens input file
seqIn = fh.readline()       # Assigns file content to seqIn
fh.close()                  # Closes file
print("DNA sequence:\t\t",seqIn)

# First we change each base, using the uppercase/lowercase as a trick, in order to not apply .replace method to the same base
dna = seqIn.replace("A","t")
dna = dna.replace("T","a")
dna = dna.replace("C","g")
dna = dna.replace("G","c")

# Generates uppercase sequences 
DNA = dna.upper()

# Changes to a list
DNAlist = list(DNA)

# Inverts list
DNAlist.reverse()

# Changes from a list to string
seqOut=''.join(DNAlist)
print("\nReverse complement:\t",seqOut)                               